# Class TimeZone

java.lang.Object
java.util.TimeZone

public abstract class TimeZone extends java.lang.Object
TimeZone represents a time zone offset, and also figures out daylight savings. Typically, you get a TimeZone using getDefault which creates a TimeZone based on the time zone where the program is running. For example, for a program running in Japan, getDefault creates a TimeZone object based on Japanese Standard Time. You can also get a TimeZone using getTimeZone along with a time zone ID. For instance, the time zone ID for the Pacific Standard Time zone is "PST". So, you can get a PST TimeZone object with: This class is a pure subset of the java.util.TimeZone class in JDK 1.3. The only time zone ID that is required to be supported is "GMT". Apart from the methods and variables being subset, the semantics of the getTimeZone() method may also be subset: custom IDs such as "GMT-8:00" are not required to be supported. Version: CLDC 1.1 02/01/2002 (Based on JDK 1.3) See Also:Calendar, Date

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeZone()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String[]`
  `getAvailableIDs()`
  Gets all the available IDs supported.
  `static TimeZone`
  `getDefault()`
  Gets the default TimeZone for this host.
  `String`
  `getID()`
  Gets the ID of this time zone.
  `abstract int`
  `getOffset(int era, int year, int month, int day, int dayOfWeek, int millis)`
  Gets offset, for current date, modified in case of daylight savings.
  `abstract int`
  `getRawOffset()`
  Gets the GMT offset for this time zone.
  `static TimeZone`
  `getTimeZone(String ID)`
  Gets the TimeZone for the given ID.
  `static void`
  `setDefault(TimeZone timezone)`
  `abstract boolean`
  `useDaylightTime()`
  Queries if this time zone uses Daylight Savings Time.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeZone

    public TimeZone()

- ## Method Details

  - ### getAvailableIDs

    public static String[] getAvailableIDs()
    Gets all the available IDs supported.

  - ### getDefault

    public static TimeZone getDefault()
    Gets the default TimeZone for this host. The source of the default TimeZone may vary with implementation.

  - ### setDefault

    public static void setDefault(TimeZone timezone)

  - ### getID

    public String getID()
    Gets the ID of this time zone.

  - ### getOffset

    public abstract int getOffset(int era, int year, int month, int day, int dayOfWeek, int millis)
    Gets offset, for current date, modified in case of daylight savings. This is the offset to add to GMT to get local time. Gets the time zone offset, for current date, modified in case of daylight savings. This is the offset to add to GMT to get local time. Assume that the start and end month are distinct. This method may return incorrect results for rules that start at the end of February (e.g., last Sunday in February) or the beginning of March (e.g., March 1).

  - ### getRawOffset

    public abstract int getRawOffset()
    Gets the GMT offset for this time zone.

  - ### getTimeZone

    public static TimeZone getTimeZone(String ID)
    Gets the TimeZone for the given ID.

  - ### useDaylightTime

    public abstract boolean useDaylightTime()
    Queries if this time zone uses Daylight Savings Time.